aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/postgresql-old9.2/APKBUILD68
1 files changed, 68 insertions, 0 deletions
diff --git a/testing/postgresql-old9.2/APKBUILD b/testing/postgresql-old9.2/APKBUILD
new file mode 100644
index 0000000000..46c29a4975
--- /dev/null
+++ b/testing/postgresql-old9.2/APKBUILD
@@ -0,0 +1,68 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgver=9.2.4
+_engine_ver=${pkgver%.*}
+pkgname=postgresql-old${_engine_ver}
+pkgrel=0
+pkgdesc="Old PostgreSQL binary to be used with postgresql-upgrade"
+url="http://www.postgresql.org/"
+arch="all"
+license="BSD"
+install=""
+depends_dev="readline-dev openssl-dev zlib-dev libxml2-dev"
+makedepends="$depends_dev"
+subpackages=""
+source="ftp://ftp.postgresql.org/pub/source/v$pkgver/postgresql-$pkgver.tar.bz2
+ "
+
+_builddir="$srcdir"/postgresql-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr/lib/postgresql-${_engine_ver} \
+ --mandir=/usr/share/man \
+ --with-openssl \
+ --disable-rpath \
+ --disable-shared \
+ || return 1
+
+ make all || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ # remo stuff not needed for upgrade
+ cd "$pkgdir"/usr/lib/postgresql-${_engine_ver}
+ rm bin/clusterdb
+ rm bin/createdb
+ rm bin/createlang
+ rm bin/createuser
+ rm bin/dropdb
+ rm bin/droplang
+ rm bin/dropuser
+ rm bin/ecpg
+ rm bin/initdb
+ rm bin/pg_basebackup
+ rm bin/pg_config
+ rm bin/pg_controldata
+ rm bin/pg_dump
+ rm bin/pg_dumpall
+ rm bin/pg_restore
+ rm bin/psql
+ rm bin/reindexdb
+ rm bin/vacuumdb
+ rm -rf include
+ rm -r lib
+ rm -rf share/doc
+ rm -rf share/man
+ rm -rf share/tsearch_data
+ rm share/*.bki
+ rm share/*description
+ rm share/*.sample
+ rm share/*.sql
+ rm share/*.txt
+}
+
+md5sums="6ee5bb53b97da7c6ad9cb0825d3300dd postgresql-9.2.4.tar.bz2"
+sha256sums="d97dd918a88a4449225998f46aafa85216a3f89163a3411830d6890507ffae93 postgresql-9.2.4.tar.bz2"
+sha512sums="1f347a8e75f4c350cc1ee2e0406b1b696f8e82cd259bb17404113874516fdf4c395517962a5320d5c386994cae7ebe7dbdbbeb7ae79c76d6d506ce5bda662c3e postgresql-9.2.4.tar.bz2"